Summary: Plugin for gdnsd to use MaxMind's geolocation databases
Name: gdnsd-plugin-georeg
Version: 0.10
Release: 1%{?dist}
License: GPLv3+
Group: System Environment/Daemons
URL: http://code.google.com/p/gdnsd/
Source0: http://gdnsd.googlecode.com/files/gdnsd-plugin-georeg-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
# Needed, since the plugin doesn't end up requiring a main lib or anything
Requires: gdnsd
BuildRequires: gdnsd-devel
BuildRequires: GeoIP-devel

%description
This plugin allows gdnsd to use MaxMind's commercial Region-format database to
do geographic balancing and failover of hostnames to a set of geographically
dispersed IP addresses.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%check
make check


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# Remove docs, we bundle them as %%doc
rm -rf %{buildroot}%{_prefix}/share/doc/gdnsd-plugin-georeg


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
# Skip the README, as it's only installation instructions
%doc AUTHORS ChangeLog COPYING
%dir %{_sysconfdir}/gdnsd/
%config %{_sysconfdir}/gdnsd/georeg.locations
%dir %{_libdir}/gdnsd/
%{_libdir}/gdnsd/*.so
%exclude %{_libdir}/gdnsd/*.la
%{_mandir}/man8/*


%changelog
* Thu Apr 14 2011 Matthias Saou <http://freshrpms.net/> 0.10-1
- Update to 0.10.

* Tue Feb  1 2011 Matthias Saou <http://freshrpms.net/> 0.09-2
- Include citydb patch.

* Sun Jan 30 2011 Matthias Saou <http://freshrpms.net/> 0.09-1
- Initial RPM release.

